"use strict";

const idlUtils = require("../generated/utils");
let mims = {
    "0": {"description": "Portable Document Format", "suffixes": "pdf", "type": "application/pdf"},
    "1": {"description": "Portable Document Format", "suffixes": "pdf", "type": "text/pdf"}
}
exports.implementation = class MimeTypeArray {
    get length() {
        return window.ENV.mimetypes.length;
    }

    item() {
        return mims[arguments[0]]
        return null;
    }

    namedItem() {
        return null;
    }

    get [idlUtils.supportedPropertyIndices]() {
        return [];
    }
};
